Bug 853601 - working-directory should be protected from being a brick [NEEDINFO]
Summary: working-directory should be protected from being a brick
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-01 06:40 UTC by Joe Julian
Modified: 2018-10-23 15:06 UTC (History)
4 users (show)

Fixed In Version: glusterfs-5.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-23 15:06:00 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
amukherj: needinfo? (gyadav)


Attachments (Terms of Use)

Description Joe Julian 2012-09-01 06:40:07 UTC
Description of problem:
A user created a volume using /var/lib/glusterd/vols/brick assuming that the structure was named that way to be the brick.

The working-directory configured in the  should be disallowed from having bricks under it.

Comment 1 Kaleb KEITHLEY 2015-10-22 15:46:38 UTC
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Comment 3 Kaushal 2017-03-08 11:04:53 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Comment 4 Atin Mukherjee 2017-08-15 14:40:43 UTC
Gaurav - do you mind sending a patch for this? The fix should be straight forward. In the brick path validation code path we'd need to do an strstr of the brick path and glusterd workdir.

Comment 6 Worker Ant 2018-09-04 04:16:05 UTC
REVIEW: https://review.gluster.org/21066 (glusterd: avoid using /var/lib/glusterd as a brick) posted (#1) for review on master by Sanju Rakonde

Comment 7 Worker Ant 2018-09-09 01:50:19 UTC
COMMIT: https://review.gluster.org/21066 committed in master by "Sanju Rakonde" <srakonde@redhat.com> with a commit message- glusterd: avoid using glusterd's working directory as a brick

Adding checks for avoiding glusterd's working directory used as
a brick for volume creation.

fixes: bz#853601
Change-Id: I4b16a05f752e92216aa628f542a4fdbf59b3c669
Signed-off-by: Sanju Rakonde <srakonde@redhat.com>

Comment 8 Shyamsundar 2018-10-23 15:06:00 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-5.0, please open a new bug report.

glusterfs-5.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2018-October/000115.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.